Subject: bug#30326: grep not searching through a text file (thinking it binary)

From: L A Walsh <[email-masked]>
Date: Fri, 02 Feb 2018 15:30:37 -0800

Paul Eggert wrote:
> On 02/02/2018 03:16 PM, L A Walsh wrote:
>   
>> It also used to be the default.
>>     
>
> Single-byte locales also used to be the default. Times have changed, and 
> things have gotten more complicated. We don't change default behavior 
> for no reason, but we also don't keep the default the same even when the 
> world has changed and another default behavior would typically be better.
>   
But most computer files (vs. user-files) are still single-byte.

Even UTF-8 is mostly single byte, though treating it as a text-stream
works most of the time -- unless the user specifies a character above
0x7e.

I more often use a search in a GUI for user-based files.